#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 5 tier 3 solution for process launching
Name:           kinit
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  kservice-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  karchive-devel >= %version

BuildRequires:  pkgconfig(libcap)
BuildRequires:  libcap-utils

%description
KDE Frameworks 5 tier 3 solution for process launching.

%files -f %{name}5.lang
%_kf5_categoriesdir/kinit.*categories
%_kf5_bindir/kdeinit5
%_kf5_bindir/kdeinit5_shutdown
%_kf5_bindir/kdeinit5_wrapper
%_kf5_bindir/kshell5
%_kf5_bindir/kwrapper5
%_kf5_libdir/libkdeinit5_klauncher.so
%_kf5_libexecdir/klauncher
%_kf5_libexecdir/start_kdeinit
%_kf5_libexecdir/start_kdeinit_wrapper
%_kf5_mandir/man?/kdeinit5.8.*
%_kf5_mandir/*/man?/kdeinit5.8.*

#--------------------------------------------------------------------

%define kf5init_devel %mklibname kf5init -d

%package -n %kf5init_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5init_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5init_devel
%dir %_kf5_libdir/cmake/KF5Init
%_kf5_libdir/cmake/KF5Init/KF5InitConfig.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitConfigVersion.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitMacros.cmake
%_kf5_libdir/cmake/KF5Init/kde5init_dummy.cpp.in
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KLauncher.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}5


%changelog
* Thu Feb 08 2024 neoclust <neoclust> 5.114.0-1.mga9
+ Revision: 2039554
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952050
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947856
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941362
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935012
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922260
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911627
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900231
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887666
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880613
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871713
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853233
- New version 5.93.0

* Wed Apr 06 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1846027
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754841
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749092
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747052
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735274
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723465
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714861
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702039
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691131
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653345
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633198
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625620
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612839
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603102
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592797
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582022
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566513
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556689
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546796
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486827
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466237
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457622
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451004
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444816
- New version 5.62.0

* Fri Jul 12 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1420612
- rebuild for arm

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420571
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386944
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382506
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374576
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364546
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356669
- New version 5.54.0

* Mon Dec 17 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1342228
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318972
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298554
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247322
- New version 5.49.0

* Thu May 17 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230256
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192291
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182341
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161247
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140409
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123510
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089452
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088973
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074544
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072209
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058364
- New version 5.27.0

* Thu Sep 15 2016 daviddavid <daviddavid> 5.26.0-2.mga6
+ Revision: 1053255
- enable Libcap support

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050541
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045119
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041341
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1034631
- drop merged patches
+ neoclust <neoclust>
- New version 5.23.0

* Thu Jun 09 2016 daviddavid <daviddavid> 5.22.0-2.mga6
+ Revision: 1020945
- add two upstream patches to fix a new security issue (kde#358593) (mga#18596)

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014349
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999644
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986337
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942258
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921290
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-3.mga6
+ Revision: 913070
- Rebuild against Qt 5.6.0 Beta

* Mon Dec 14 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 910543
- Rebuild as previous ones had been rejected by the BS

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909886
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900437
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899478
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898934
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888174
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881398
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862959
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862616
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853804
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841580
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803990
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-8.mga5
+ Revision: 750563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-7.mga5
+ Revision: 681083
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 neoclust <neoclust> 5.1.0-6.mga5
+ Revision: 662304
- Remove wrong P0

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-5.mga5
+ Revision: 661802
- More fixes for P1

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-4.mga5
+ Revision: 661747
- Fix P1: Fix usage of ${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-3.mga5
+ Revision: 661719
- Fix path to kdeinit5 binary

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660437
- New version 5.1.0

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652298
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611286
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599653
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597296
- imported package kinit

